#include <bits/stdc++.h>

using namespace std;

solve()
{
    int n;cin >> n;
    vector<int> vx(n);
    vector<int> vy(n);
    vector<int> vz(n);
    for(int i = 0; i < n; i++)
    {
        cin >> vx[i];
    }
    for(int i = 0; i < n; i++)
    {
        cin >> vy[i];
    }
    vector <int> bry(n);
    vector <int> brz(n);
    for(int i = 0; i < n; i++)
    {
        cin >> vz[i];
        bry[vy[i]-1]++;
        brz[vz[i]-1]++;
    }
    int sum=0;
    int ans=0;
    for(int i = 0; i < n;i++)
    {
        sum=0;
        for(int j = 0; j < n; j++)
        {
            if(vx[i]==vy[j])
            {
                ans += brz[j];
            }
        }
    }
    cout << ans << endl;
}

int main()
{
    solve();
    return 0;
}